SELECT strftime('%Y', TRANSDATE) AS YEAR,
       SUM(CASE WHEN CA.TRANSCODE = 'Deposit' THEN ROUND(CA.TRANSAMOUNT * cf.BASECONVRATE,2) ELSE 0 END) AS INCOME,
       SUM(CASE WHEN CA.TRANSCODE = 'Withdrawal' THEN ROUND(CA.TRANSAMOUNT * cf.BASECONVRATE,2) ELSE 0 END) AS EXPENSE
FROM CHECKINGACCOUNT_V1 AS ca
INNER JOIN ACCOUNTLIST_V1 AS acc ON acc.ACCOUNTID = ca.ACCOUNTID
INNER JOIN CURRENCYFORMATS_V1 AS CF ON cf.CURRENCYID = acc.CURRENCYID
WHERE CA.STATUS NOT IN ('D', 'V') AND CA.TRANSCODE <> 'Transfer'
AND strftime('%Y', TRANSDATE) IN ('2015','2016','2017','2018','2019','2020')
GROUP BY strftime('%Y', TRANSDATE)
ORDER BY strftime('%Y', TRANSDATE) ASC